FGCONSOLE(1)

BEZEICHNUNG
fgconsole - die Nummer der aktiven virtuellen Konsole ausgeben.

ÜBERSICHT
fgconsole [ -h --help | -V --version | -n --next-available ]

BESCHREIBUNG
Falls das aktive virtuelle Terminal /dev/ttyN ist, dann wird N in die Standardausgabe geschrieben. Falls es sich bei der Konsole um eine serielle Konsole handelt, wird stattdessen »serial« ausgegeben.

-h --help
    gibt eine kurze Hilfemeldung aus und beendet das Programm.

-V --version
    gibt die Versionsnummer aus und beendet das Programm.

--next-available
    zeigt das nächste nicht zugewiesene virtuelle Terminal an. Normalerweise sind 6 virtuelle Terminals zugewiesen und die Nummer 7 wird für die X-Ausgabe verwendet; daher wird in diesem Fall »8« zurückgegeben.

ANMERKUNGEN
Unter devfs befinden sich die Konsolen in /dev/vc/N. devfsd kann aus Kompatibilitätsgründen auch Symlinks verwalten.

SIEHE AUCH
chvt(1).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).